Subject: Re: bug#69191: 30.0.50; New var `major-mode-remap-defaults`, for packages

From: Dmitry Gutov <[email-masked]>
Date: Thu, 7 Mar 2024 01:15:42 +0200

On 06/03/2024 04:54, Stefan Monnier wrote:
>> The idea seems attractive, but what's going to happen in such
>> a configuration when go-ts-mode.el hasn't been loaded yet, and go-mode is
>> (without additional effort by the user) is not installed?
> 
> I'd expect that `go-ts-mode.el` would setup both `auto-mode-alist` and`
> and `major-mode-remap-defaults` at the same time (probably at the same
> time as the function's autoload), so I don't foresee any problem there.

I suppose that's good for consistency, but proportionally less useful at 
the same time.

The practical side of having go-mode in auto-mode-alist is being able to 
build some "language association" at runtine, right? Or how did you 
imagine this being used?

> [ There is a problem with `set-auto-mode` which may skip/ignore the
>    `go-mode` specification before even looking it up in
>    `major-mode-remap`, but that's in the process of being fixed
>    as part of bug#67795.  ]
> 
> 
>          Stefan
>